﻿
// MFCPointerNetworkDlg.h: файл заголовка
//

#pragma once
#include "MySocket.h"
#include "Pointers.h"

//====================================================
// Описание работы классов и методов исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
// Автор исходных кодов Клочков Павел
//====================================================



// Диалоговое окно CMFCPointerNetworkDlg
class CMFCPointerNetworkDlg : public CDialogEx
{
// Создание
public:
	CMFCPointerNetworkDlg(CWnd* pParent = nullptr);	// стандартный конструктор

// Данные диалогового окна
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_MFCPOINTERNETWORK_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// поддержка DDX/DDV


// Реализация
protected:
	HICON m_hIcon;

	// Созданные функции схемы сообщений
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CMySocket m_MainSocket;
	CMySocket m_AcceptSocket;
	void OnAccept(BOOL error);
	void OnConnect(BOOL error);
	void OnReceive(BOOL error);
	void OnCloseSocket(BOOL error);
	afx_msg void OnBnClickedButtonClose();
	
	BOOL m_IsServer;
	BOOL m_IsClient;
	afx_msg void OnBnClickedRadioServer();
	afx_msg void OnBnClickedRadioClient();
	int m_Port;
	CString m_IP;
	CString m_valueString;
	CString m_valueArrayChar;
	int m_valueInt;
	int m_valueArrayInt0;
	int m_valueArrayInt1;
	int m_valueArrayInt2;
	int m_valueArrayInt3;

	
	void OnSend(BOOL error);

	BOOL m_InfoOk = FALSE;
	BYTE* m_DataBuffer = NULL;
	BYTE* m_tempDataBuffer = new BYTE;
	int m_CounterRecv = 0;
	CSendInfo m_sendInfo;
	int m_SizePart = 1;



	BOOL ParseReceiveData(CMySocket* recvSocket);
	

	afx_msg void OnBnClickedButtonSend();
	BOOL m_FlagSent = TRUE;

	CString m_Status;
	double m_valueDouble;
};
